#ifndef XRIGIDVERTLIST_H
#define XRIGIDVERTLIST_H

#include "xasset.h"
#include "xsurfacecollisiontree.h"

class XRigidVertList : public XAsset
{
public:
    explicit XRigidVertList();

    void ParseData(QDataStream *aStream) override;
    void Clear() override;

private:
    quint32 mBoneOffset;
    quint32 mVertCount;
    quint32 mTriOffset;
    quint32 mTriCount;
    XSurfaceCollisionTree *mCollisionTree;
};

#endif // XRIGIDVERTLIST_H
